<form [formGroup]="form" class="monthly-form">
  <mat-radio-group class="d-flex flex-column" formControlName="mode">
    <div class="form-group">
      <div class="d-flex">
        <mat-radio-button class="ngx-radio-button mon-radio-btn" value="on"><span>Day</span></mat-radio-button>
        <div class="d-flex flex-column on-day-wrapper">
          <div formGroupName="on">
            <mat-form-field class="ngx-mon-form-field" appearance="outline">
              <input matInput type="text" class="ngx-rrule" formControlName="day" appOnlyNumber isMinMax="true" min="1" max="31"  />
              <mat-hint class="ngx-mon-hint">Of every</mat-hint>
            </mat-form-field>
          </div>
          <mat-form-field class="ngx-mon-form-field" appearance="outline">
            <input matInput type="number" class="ngx-rrule" formControlName="interval" appOnlyNumber isMinMax="true" min="1" max="12">
            <mat-hint class="ngx-mon-hint">month(s)</mat-hint>
          </mat-form-field>
        </div>
      </div>
    </div>
    <mat-divider></mat-divider>
    <div class="form-group onThe-wrapper">
      <div class="d-flex">
        <mat-radio-button class="ngx-radio-button mon-radio-btn" value="on The"><span>The</span></mat-radio-button>

        <div class="d-flex flex-column on-day-wrapper" formGroupName="onThe">

          <mat-form-field class="ngx-mon-form-field" appearance="outline">
            <mat-select formControlName="which" >
              <mat-option value="First">First</mat-option>
              <mat-option value="Second">Second</mat-option>
              <mat-option value="Third">Third</mat-option>
              <mat-option value="Fourth">Fourth</mat-option>
              <mat-option value="Last">Last</mat-option>
            </mat-select>
          </mat-form-field>

          <mat-form-field class="ngx-mon-form-field ngx-mon-form-field" appearance="outline">
            <mat-select formControlName="day" >
              <mat-option value="Monday">Monday</mat-option>
              <mat-option value="Tuesday">Tuesday</mat-option>
              <mat-option value="Wednesday">Wednesday</mat-option>
              <mat-option value="Thursday">Thursday</mat-option>
              <mat-option value="Friday">Friday</mat-option>
              <mat-option value="Saturday">Saturday</mat-option>
              <mat-option value="Sunday">Sunday</mat-option>
              <mat-option value="Day">Day</mat-option>
              <mat-option value="Weekday">Weekday</mat-option>
              <mat-option value="Weekend day">Weekend day</mat-option>
            </mat-select>
            <mat-hint class="ngx-mon-hint">of every</mat-hint>
          </mat-form-field>

          <mat-form-field class="ngx-mon-form-field" appearance="outline">
            <input matInput type="number" class="ngx-rrule" [formControl]="onTheInterval" appOnlyNumber isMinMax="true" min="1" max="12" />
            <mat-hint class="ngx-mon-hint">month(s)</mat-hint>
          </mat-form-field>
        </div>

      </div>
    </div>
  </mat-radio-group>
</form>
